/*
Description of Selected Widget: JTextField

JTextField is the widget that allows user to enter text in a single line.
It allows user to type anything. It is like a field where we enter data.
It's usability is that we can use it to take our required data from user like
name, age, email, address, phone number
 */

import javax.swing.*;

public class Widget {

    public static void main(String[] args) {

        // Creating a JFrame & JPanel as required

        JFrame frame = new JFrame("Widget");     // with title as Widget

        JPanel panel = new JPanel();

        // Creating 3 JTextFields

        JTextField nameField = new JTextField(20);
        JTextField ageField = new JTextField(10);
        JTextField addressField = new JTextField(50);

        nameField.setText("My name is Jacob");
        ageField.setText("20 years old");
        addressField.setText("United Kingdom");

        // Adding fields in panel

        panel.add(nameField);
        panel.add(ageField);
        panel.add(addressField);

        // Adding panel in Frame

        frame.add(panel);

        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        // Setting size of frame width & height

        frame.setSize(600, 300);

        // Making JFrame visible

        frame.setVisible(true);
    }
}
